# Create Collection

`POST https://api.vultrinference.com/v1/vector_store`

Creates a vector store collection for searchable embeddings.

## Body (application/json)

- `name` (string, required): The name of the vector store collection. This is also used to auto-generate a unique ID for the record.

## Responses

- `201`: OK (get-vector-store-response-payload)
- `400`: Bad Request, including a request that failed validation (the message names the rejected field) and a collection, item or file that does not exist. The body is the error envelope. (error-payload)
- `401`: The API key is missing, unknown or not active. Send it as Authorization: Bearer <key>. (error-payload)

## Example

```bash
curl https://api.vultrinference.com/v1/vector_store \
  -H "Authorization: Bearer $VULTR_INFERENCE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string"
  }'
```

```python
import os
import requests

response = requests.post(
    "https://api.vultrinference.com/v1/vector_store",
    headers={"Authorization": f"Bearer {os.environ['VULTR_INFERENCE_API_KEY']}"},
    json={
        "name": "string",
    },
)
print(response.json())
```

```javascript
const response = await fetch("https://api.vultrinference.com/v1/vector_store", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.VULTR_INFERENCE_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "name": "string"
  }),
});
console.log(await response.json());
```
